package com.steerinfo.dil.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 统计报表
 * @ author    :TXF
 * @ time      :2021/12/14 15:27
 */
@Mapper
public interface StatisticalReportMapper {
    //查询采购统计报表 (辅料、燃料、内转、化工材料)
    List<Map<String, Object>> getAllPurchaseFLRLReport(Map<String, Object> map);

    //查询采购辅料统计报表
    List<Map<String, Object>> getFuPurchaseFLRLReport(Map<String, Object> map);


    //查询销售统计报表
    List<Map<String, Object>> getAllSaleReport(Map<String, Object> map);

//    查询零星物资进厂统计报表
    List<Map<String, Object>> getSporadicSuppliesReport1(Map<String, Object> mapValue);

    //    查询零星物资出厂统计报表
    List<Map<String, Object>> getSporadicSuppliesReport2(Map<String, Object> mapValue);

    // 查询采购内转统计报表
    List<Map<String, Object>> getTotalResultList();

    List<Map<String, Object>> getInwardReportResult(Map<String,Object> mapValue);

    //查看内转统计报表
    List<Map<String, Object>> getInwardReport(Map<String, Object> mapValue);
    //查看装货点统计表
    List<Map<String, Object>> getLoading(Map<String, Object> mapValue);

    List<Map<String, Object>> getUnLoading(Map<String, Object> mapValue);

    List<Map<String, Object>> getLXReportResult(Map<String, Object> mapValue);
}
