package com.steerinfo.dil.service;

import java.util.List;
import java.util.Map;

/**
 * 查询汽运统计报表
 * @ author    :TXF
 * @ time      :2021/12/14 15:25
 */

public interface IStatisticalReportService {

    //查询辅料燃料统计报表
    List<Map<String, Object>> getRLFLReport(Map<String, Object> map);

    //查询采购统计报表 (辅料、燃料、内转)
    List<Map<String, Object>> getAllPurchaseFLRLReport(Map<String, Object> map);

    //查询销售统计报表
    List<Map<String, Object>> getAllSaleReport(Map<String, Object> map);

    //查询销售统计报表
    List<Map<String, Object>> getAllSaleReportNum(Map<String, Object> map);

//    查询零星物资统计报表
    List<Map<String, Object>> getSporadicSuppliesReportNum1(Map<String, Object> mapValue);
//    查询零星物资统计报表
    List<Map<String, Object>> getSporadicSuppliesReport1(Map<String, Object> mapValue);

    //    查询零星物资统计报表
    List<Map<String, Object>> getSporadicSuppliesReportNum2(Map<String, Object> mapValue);
    //    查询零星物资统计报表
    List<Map<String, Object>> getSporadicSuppliesReport2(Map<String, Object> mapValue);

    List<Map<String, Object>> getPurInwardReport(Map<String, Object> mapValue);

    List<Map<String, Object>> getLXInwardReport( Map<String, Object> mapValue);

    //查看内转统计报表
    List<Map<String, Object>> getInwardReport(Map<String, Object> mapValue);

    List<Map<String, Object>> getLoading(Map<String, Object> mapValue);

    List<Map<String, Object>> getUnLoading(Map<String, Object> mapValue);
}

